Summary: gLite Logging and Bookkeeping auxiliary utilities
Name: glite-lb-utils
Version: 2.2.5
Release: 1%{?dist}
Url: http://glite.cern.ch
License: ASL 2.0
Vendor: EMI
Group: System Environment/Base
BuildRequires: chrpath
BuildRequires: cppunit-devel
BuildRequires: glite-lb-types
BuildRequires: glite-jobid-api-c-devel
BuildRequires: glite-lb-client-devel
BuildRequires: glite-lb-state-machine-devel
BuildRequires: glite-lbjp-common-jp-interface-devel
BuildRequires: glite-lbjp-common-maildir-devel
BuildRequires: glite-lbjp-common-trio-devel
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
AutoReqProv: yes
Source: http://eticssoft.web.cern.ch/eticssoft/repository/emi/emi.lb.utils/%{version}/src/%{name}-2.2.5-1.src.tar.gz


%description
glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
(glite-lb-statistics).


%prep
%setup -q


%build
/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=%{_lib} --project=emi --module lb.utils --version 2.2.5-1
make


%check
make check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir /usr/share/doc/%{name}-%{version}/
/usr/bin/glite-lb-bkpurge-offline
/usr/bin/glite-lb-dump
/usr/bin/glite-lb-dump_exporter
/usr/bin/glite-lb-load
/usr/bin/glite-lb-mon
/usr/bin/glite-lb-purge
/usr/bin/glite-lb-state_history
/usr/bin/glite-lb-statistics
/usr/share/doc/%{name}-%{version}/ChangeLog
/usr/share/doc/%{name}-%{version}/LICENSE
/usr/share/doc/%{name}-%{version}/package.description
/usr/share/doc/%{name}-%{version}/package.summary
/usr/share/doc/%{name}-%{version}/README.LB-monitoring
/usr/share/doc/%{name}-%{version}/README.LB-statistics
/usr/share/man/man1/glite-lb-mon.1.gz
/usr/share/man/man8/glite-lb-purge.8.gz


%changelog
* Wed Jun 05 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 2.2.5-1%{?dist}
- automatically generated package
